export interface ExpressionScope {
    data: unknown;
    root: unknown;
    index?: number;
}
type ExprValue = unknown;
type ExprFn = (...args: Array<ExprValue>) => ExprValue;
export declare function registerExpressionFunction(name: string, fn: ExprFn): void;
export declare function evaluateExpression(expr: string, scope: ExpressionScope): ExprValue;
export declare function interpolateString(input: string, scope: ExpressionScope): string;
export declare function evaluateMaybeExpression(input: string, scope: ExpressionScope): ExprValue;
export {};
